--[[

ARL-Engineering.lua

Engineering data for all of AckisRecipeList

]]--

ARL = AckisRecipeList
local L			= AceLibrary("AceLocale-2.2"):new("AckisRecipeList")
local BFAC		= LibStub("LibBabble-Faction-3.0"):GetLookupTable()

-- Initializes the array adding all Engineering recipes.  As of 2.2 there are 220 recipes.

function ARL:ARL_InitEngineering()

	--local Version
	--if _G.GetSpellInfo then Version = "2.4" else Version = "2.3" end

	ARL:ARL_InitializeRecipeArray()

	-- Trainer Recipes
	ARL:addTradeSkill2(3918, 1, L["Trainer"])
	ARL:addTradeSkill2(3919, 1, L["Trainer"])
	ARL:addTradeSkill2(3920, 1, L["Trainer"])
	ARL:addTradeSkill2(3922, 30, L["Trainer"])
	ARL:addTradeSkill2(3923, 30, L["Trainer"])
	ARL:addTradeSkill2(3924, 50, L["Trainer"])
	ARL:addTradeSkill2(3925, 50, L["Trainer"])
	ARL:addTradeSkill2(7430, 50, L["Trainer"])
	ARL:addTradeSkill2(3977, 60, L["Trainer"])
	ARL:addTradeSkill2(3926, 65, L["Trainer"])
	ARL:addTradeSkill2(3929, 75, L["Trainer"])
	ARL:addTradeSkill2(3930, 75, L["Trainer"])
	ARL:addTradeSkill2(3931, 75, L["Trainer"])
	ARL:addTradeSkill2(3932, 85, L["Trainer"])
	ARL:addTradeSkill2(3973, 90, L["Trainer"])
	ARL:addTradeSkill2(3934, 100, L["Trainer"])
	ARL:addTradeSkill2(8334, 100, L["Trainer"])
	ARL:addTradeSkill2(3936, 105, L["Trainer"])
	ARL:addTradeSkill2(3937, 105, L["Trainer"])
	ARL:addTradeSkill2(3938, 105, L["Trainer"])
	ARL:addTradeSkill2(3978, 110, L["Trainer"])
	ARL:addTradeSkill2(3941, 120, L["Trainer"])
	ARL:addTradeSkill2(3942, 125, L["Trainer"])
	ARL:addTradeSkill2(3945, 125, L["Trainer"])
	ARL:addTradeSkill2(3946, 125, L["Trainer"])
	ARL:addTradeSkill2(3947, 125, L["Trainer"])
	ARL:addTradeSkill2(3949, 130, L["Trainer"])
	ARL:addTradeSkill2(6458, 135, L["Trainer"])
	ARL:addTradeSkill2(3950, 140, L["Trainer"])
	ARL:addTradeSkill2(3953, 145, L["Trainer"])
	ARL:addTradeSkill2(3955, 150, L["Trainer"])
	ARL:addTradeSkill2(3956, 150, L["Trainer"])
	ARL:addTradeSkill2(9271, 150, L["Trainer"])
	ARL:addTradeSkill2(12584, 150, L["Trainer"])
	ARL:addTradeSkill2(3958, 160, L["Trainer"])
	ARL:addTradeSkill2(3961, 170, L["Trainer"])
	ARL:addTradeSkill2(3962, 175, L["Trainer"])
	ARL:addTradeSkill2(3963, 175, L["Trainer"])
	ARL:addTradeSkill2(12585, 175, L["Trainer"])
	ARL:addTradeSkill2(12586, 175, L["Trainer"])
	ARL:addTradeSkill2(12590, 175, L["Trainer"])
	ARL:addTradeSkill2(3965, 185, L["Trainer"])
	ARL:addTradeSkill2(3967, 190, L["Trainer"])
	ARL:addTradeSkill2(12589, 195, L["Trainer"])
	ARL:addTradeSkill2(12591, 200, L["Trainer"])
	ARL:addTradeSkill2(15255, 200, L["Trainer"])
	ARL:addTradeSkill2(12594, 205, L["Trainer"])
	ARL:addTradeSkill2(12595, 205, L["Trainer"])
	ARL:addTradeSkill2(12596, 210, L["Trainer"])
	ARL:addTradeSkill2(12599, 215, L["Trainer"])
	ARL:addTradeSkill2(12603, 215, L["Trainer"])
	ARL:addTradeSkill2(8895, 225, L["Trainer"])
	ARL:addTradeSkill2(12618, 230, L["Trainer"])
	ARL:addTradeSkill2(12619, 235, L["Trainer"])
	ARL:addTradeSkill2(12621, 245, L["Trainer"])
	ARL:addTradeSkill2(12622, 245, L["Trainer"])
	ARL:addTradeSkill2(19567, 250, L["Trainer"])
	ARL:addTradeSkill2(19788, 250, L["Trainer"])
	ARL:addTradeSkill2(23070, 250, L["Trainer"])
	ARL:addTradeSkill2(26011, 250, L["Trainer"])
	ARL:addTradeSkill2(19790, 260, L["Trainer"])
	ARL:addTradeSkill2(19791, 260, L["Trainer"])
	ARL:addTradeSkill2(23071, 260, L["Trainer"])
	ARL:addTradeSkill2(19794, 270, L["Trainer"])
	ARL:addTradeSkill2(19795, 275, L["Trainer"])
	ARL:addTradeSkill2(19825, 290, L["Trainer"])
	ARL:addTradeSkill2(30310, 300, L["Trainer"])
	ARL:addTradeSkill2(30304, 300, L["Trainer"])
	ARL:addTradeSkill2(30303, 300, L["Trainer"])
	ARL:addTradeSkill2(30305, 300, L["Trainer"])
	ARL:addTradeSkill2(30346, 310, L["Trainer"])
	ARL:addTradeSkill2(30312, 320, L["Trainer"])
	ARL:addTradeSkill2(30306, 325, L["Trainer"])
	ARL:addTradeSkill2(30311, 325, L["Trainer"])
	ARL:addTradeSkill2(30308, 350, L["Trainer"])
	ARL:addTradeSkill2(30309, 350, L["Trainer"])
	ARL:addTradeSkill2(30307, 350, L["Trainer"])
	ARL:addTradeSkill2(44155, 350, L["Trainer"])
	ARL:addTradeSkill2(39973, 335, L["Trainer"])
	ARL:addTradeSkill2(39971, 335, L["Trainer"])
	ARL:addTradeSkill2(41320, 350, L["Trainer"], {"WARLOCK", "PRIEST", "MAGE"})
	ARL:addTradeSkill2(41321, 350, L["Trainer"], {"PRIEST"})
	ARL:addTradeSkill2(41317, 350, L["Trainer"], {"ROGUE", "DRUID"})
	ARL:addTradeSkill2(41318, 350, L["Trainer"], {"DRUID"})
	ARL:addTradeSkill2(41319, 350, L["Trainer"], {"DRUID"})
	ARL:addTradeSkill2(41315, 350, L["Trainer"], {"SHAMAN"})
	ARL:addTradeSkill2(41316, 350, L["Trainer"], {"SHAMAN"})
	ARL:addTradeSkill2(41314, 350, L["Trainer"], {"SHAMAN", "HUNTER"})
	ARL:addTradeSkill2(41311, 350, L["Trainer"], {"PALADIN"})
	ARL:addTradeSkill2(40274, 350, L["Trainer"], {"PALADIN", "WARRIOR"})
	ARL:addTradeSkill2(41312, 350, L["Trainer"], {"PALADIN", "WARRIOR"})
	ARL:addTradeSkill2(41307, 375, L["Trainer"])
	ARL:addTradeSkill2(44157, 375, L["Trainer"])

	-- Vendor Recipes
	ARL:addTradeSkill2(3939, 120, ARL:ARL_AddVendor({67, 68}, false))
	ARL:addTradeSkill2(3952, 140, L["Minor Recombobulator Obt"] .. "\n    - " .. ARL:ARL_AddVendor({67, 69}, false))
	ARL:addTradeSkill2(23066, 150, ARL:ARL_AddVendor({70}, false), {BFAC["Horde"]})
	ARL:addTradeSkill2(23068, 150, ARL:ARL_AddVendor({71, 72}, false))
	ARL:addTradeSkill2(23067, 150, ARL:ARL_AddVendor({73, 74}, false), {BFAC["Alliance"]})
	ARL:addTradeSkill2(3957, 155, ARL:ARL_AddVendor({75}, false))
	ARL:addTradeSkill2(9273, 165,  ARL:ARL_AddVendor({76, 77, 19}, false))
	ARL:addTradeSkill2(9269, 125, ARL:ARL_AddVendor({68, 74}, false), {BFAC["Alliance"]})
	ARL:addTradeSkill2(3979, 180, ARL:ARL_AddVendor({78}, false))
	ARL:addTradeSkill2(3969, 200, ARL:ARL_AddVendor({79}, false))
	ARL:addTradeSkill2(3971, 200, ARL:ARL_AddVendor({81}, false))
	ARL:addTradeSkill2(12597, 210, ARL:ARL_AddVendor({83, 82}, false))
	ARL:addTradeSkill2(23069, 200, ARL:ARL_AddVendor({84}, false))
	ARL:addTradeSkill2(12617, 230, ARL:ARL_AddVendor({85}, false))
	ARL:addTradeSkill2(12624, 250, ARL:ARL_AddVendor({80}, true))
	ARL:addTradeSkill2(23507, 250, ARL:ARL_AddVendor({86}, false))
	ARL:addTradeSkill2(23077, 260, ARL:ARL_AddVendor({87}, false))
	ARL:addTradeSkill2(19814, 275, ARL:ARL_AddVendor({87}, false))
	ARL:addTradeSkill2(23080, 275, ARL:ARL_AddVendor({87}, false))
	ARL:addTradeSkill2(39895, 275, ARL:ARL_AddVendor({87, 88}, false))
	ARL:addTradeSkill2(19815, 285, ARL:ARL_AddVendor({87, 88}, false))
	ARL:addTradeSkill2(30348, 325, ARL:ARL_AddVendor({92, 93, 94}, false))
	ARL:addTradeSkill2(30329, 335, ARL:ARL_AddVendor({89, 90}, false))
	ARL:addTradeSkill2(30341, 335, ARL:ARL_AddVendor({91, 92, 93, 94}, false))
	ARL:addTradeSkill2(30347, 335, ARL:ARL_AddVendor({92, 93, 94}, false))
	ARL:addTradeSkill2(30316, 340, ARL:ARL_AddVendor({95, 90}, false))
	ARL:addTradeSkill2(30313, 350, ARL:ARL_AddVendor({92, 88, 94}, false))
	ARL:addTradeSkill2(30318, 350, ARL:ARL_AddVendor({91, 95}, false))

	-- World Drops
	ARL:addTradeSkill2(3928, 75, L["UWD"])
	ARL:addTradeSkill2(3933, 100, L["UWD"])
	ARL:addTradeSkill2(8339, 100, L["UWD"])
	ARL:addTradeSkill2(3940, 120, L["UWD"])
	ARL:addTradeSkill2(3954, 145, L["UWD"])
	ARL:addTradeSkill2(3960, 165, L["UWD"])
	ARL:addTradeSkill2(12587, 175, L["UWD"])
	ARL:addTradeSkill2(3966, 185, L["UWD"])
	ARL:addTradeSkill2(3968, 195, L["UWD"])
	ARL:addTradeSkill2(3972, 200, L["UWD"])
	ARL:addTradeSkill2(12607, 220, L["UWD"])
	ARL:addTradeSkill2(12614, 220, L["UWD"])
	ARL:addTradeSkill2(12615, 225, L["UWD"])
	ARL:addTradeSkill2(12616, 225, L["UWD"])
	ARL:addTradeSkill2(12620, 240, L["UWD"])
	ARL:addTradeSkill2(19792, 260, L["UWD"])
	ARL:addTradeSkill2(19793, 265, L["UWD"])
	ARL:addTradeSkill2(19800, 285, L["UWD"])
	ARL:addTradeSkill2(19831, 300, L["UWD"])
	ARL:addTradeSkill2(30337, 325, L["UWD"])
	ARL:addTradeSkill2(30551, 330, L["UWD"])
	ARL:addTradeSkill2(32814, 335, L["UWD"])
	ARL:addTradeSkill2(30317, 340, L["UWD"])
	ARL:addTradeSkill2(30552, 345, L["UWD"])
	ARL:addTradeSkill2(30315, 375, L["RWD"])

	-- Specific Drops
	ARL:addTradeSkill2(3944, 125, L["Flame Detector Obt"])
	ARL:addTradeSkill2(3959, 160, L["Discombobulator Ray Obt"])
	ARL:addTradeSkill2(8243, 185, L["Flash Bomb Obt"])
	ARL:addTradeSkill2(19796, 275, L["Dark Iron Rifle Obt"])
	ARL:addTradeSkill2(23079, 275, L["Major Recombobulator Obt"])
	ARL:addTradeSkill2(28327, 275, L["Steam Tonk Controller Obt"])
	ARL:addTradeSkill2(19799, 285, L["Dark Iron Bomb Obt"])
	ARL:addTradeSkill2(19819, 290, L["Voice Amplification Modulator Obt"])
	ARL:addTradeSkill2(23081, 290, L["Hyper-Radiant Flame Reflector Pbt"])
	ARL:addTradeSkill2(19830, 300, L["Arcanite Dragonling Obt"])
	ARL:addTradeSkill2(19833, 300, L["Flawless Arcanite Rifle Obt"])
	ARL:addTradeSkill2(22704, 300, L["Field Repair Bot 74A Obt"])
	ARL:addTradeSkill2(23082, 300, L["Ultra-Flash Shadow Reflector Obt"])
	ARL:addTradeSkill2(30548, 305, L["Zapthrottle Mote Extractor Obt"])
	ARL:addTradeSkill2(43676, 335, L["Adamantite Arrow Maker Obt"])
	ARL:addTradeSkill2(46697, 355, L["Rocket Boots Xtreme Lite Obt"])
	ARL:addTradeSkill2(30556, 355, L["Rocket Boots Xtreme Obt"])
	ARL:addTradeSkill2(30314, 360, L["Felsteel Boomstick Obt"])
	ARL:addTradeSkill2(30325, 360, L["Hyper-Vision Goggles Obt"])
	ARL:addTradeSkill2(30332, 360, L["Khorium Scope Obt"])
	ARL:addTradeSkill2(44391, 360, L["Field Repair Bot 110G Obt"])

	-- Seasonal
	ARL:addTradeSkill2(26416, 125, L["Lunar Festival"], {L["Seasonal"]})
	ARL:addTradeSkill2(26417, 125, L["Lunar Festival"], {L["Seasonal"]})
	ARL:addTradeSkill2(26418, 125, L["Lunar Festival"], {L["Seasonal"]})
	ARL:addTradeSkill2(26420, 175, L["Lunar Festival"], {L["Seasonal"]})
	ARL:addTradeSkill2(26421, 175, L["Lunar Festival"], {L["Seasonal"]})
	ARL:addTradeSkill2(26422, 175, L["Lunar Festival"], {L["Seasonal"]})
	ARL:addTradeSkill2(21935, 190, L["WintersVeil"], {L["Seasonal"]})
	ARL:addTradeSkill2(26423, 225, L["Lunar Festival"], {L["Seasonal"]})
	ARL:addTradeSkill2(26424, 225, L["Lunar Festival"], {L["Seasonal"]})
	ARL:addTradeSkill2(26425, 225, L["Lunar Festival"], {L["Seasonal"]})
	ARL:addTradeSkill2(26442, 225, L["Lunar Festival"], {L["Seasonal"]})
	ARL:addTradeSkill2(26426, 275, L["Lunar Festival"], {L["Seasonal"]})
	ARL:addTradeSkill2(26427, 275, L["Lunar Festival"], {L["Seasonal"]})
	ARL:addTradeSkill2(26428, 275, L["Lunar Festival"], {L["Seasonal"]})
	ARL:addTradeSkill2(26443, 275, L["Lunar Festival"], {L["Seasonal"]})

	-- Reputations
	ARL:addTradeSkill2(24356, 300, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Zandalar Tribe"]), {BFAC["Zandalar Tribe"], L["Raid"]})
	ARL:addTradeSkill2(24357, 300, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Zandalar Tribe"]), {BFAC["Zandalar Tribe"], L["Raid"]})

	ARL:addTradeSkill2(30547, 350, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Consortium"]), {BFAC["The Consortium"]})

	ARL:addTradeSkill2(30344, 335, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Cenarion Expedition"]), {BFAC["Cenarion Expedition"]})

	-- Raid
	ARL:addTradeSkill2(22793, 300, L["MOLTENCORE"], {L["Raid"]})
	ARL:addTradeSkill2(22795, 300, L["MOLTENCORE"], {L["Raid"]})
	ARL:addTradeSkill2(22797, 300, L["MOLTENCORE"], {L["Raid"]})
	ARL:addTradeSkill2(30334, 375, L["Stabilized Eternium Scope Obt"], {L["Raid"]})
	ARL:addTradeSkill2(46111, 375, L["SunwellBoE"], {L["Raid"], "PRIEST", "MAGE", "WARLOCK"})
	ARL:addTradeSkill2(46107, 375, L["SunwellBoE"], {L["Raid"], "PALADIN"})
	ARL:addTradeSkill2(46108, 375, L["SunwellBoE"], {L["Raid"], "PRIEST"})
	ARL:addTradeSkill2(46109, 375, L["SunwellBoE"], {L["Raid"], "DRUID"})
	ARL:addTradeSkill2(46106, 375, L["SunwellBoE"], {L["Raid"], "DRUID"})
	ARL:addTradeSkill2(46110, 375, L["SunwellBoE"], {L["Raid"], "SHAMAN"})
	ARL:addTradeSkill2(46112, 375, L["SunwellBoE"], {L["Raid"], "SHAMAN"})
	ARL:addTradeSkill2(46113, 375, L["SunwellBoE"], {L["Raid"], "SHAMAN", "HUNTER"})
	ARL:addTradeSkill2(46114, 375, L["SunwellBoE"], {L["Raid"], "PALADIN", "WARRIOR"})
	ARL:addTradeSkill2(46115, 375, L["SunwellBoE"], {L["Raid"], "PALADIN", "WARIIOR"})
	ARL:addTradeSkill2(46116, 375, L["SunwellBoE"], {L["Raid"], "DRUID", "ROGUE"})

	-- Gnomish Engineering
	ARL:addTradeSkill2(15633, 205, L["ENG_MEMBERSHIP_BENEFITS"], {GetSpellInfo(20220)})
	ARL:addTradeSkill2(12899, 205, L["Trainer"], {GetSpellInfo(20220)})
	ARL:addTradeSkill2(12897, 210, L["Trainer"], {GetSpellInfo(20220)})
	ARL:addTradeSkill2(12902, 210, L["Trainer"], {GetSpellInfo(20220)})
	ARL:addTradeSkill2(12903, 215, L["Trainer"], {GetSpellInfo(20220)})
	ARL:addTradeSkill2(12905, 225, L["Trainer"], {GetSpellInfo(20220)})
	ARL:addTradeSkill2(12906, 230, L["Trainer"], {GetSpellInfo(20220)})
	ARL:addTradeSkill2(12907, 235, L["Trainer"], {GetSpellInfo(20220)})
	ARL:addTradeSkill2(12759, 240, L["Trainer"], {GetSpellInfo(20220)})
	ARL:addTradeSkill2(23129, 260, L["World Enlarger Obt"], {GetSpellInfo(20220)})
	ARL:addTradeSkill2(23489, 260, L["Trainer"], {GetSpellInfo(20220)})
	ARL:addTradeSkill2(23096, 265, L["Alarm-O-Bot Obt"], {GetSpellInfo(20220)})
	ARL:addTradeSkill2(12895, 200, L["Trainer"], {GetSpellInfo(20220)})
	ARL:addTradeSkill2(30568, 325, L["Trainer"], {GetSpellInfo(20220)})
	ARL:addTradeSkill2(30569, 340, L["Trainer"], {GetSpellInfo(20220)})
	ARL:addTradeSkill2(30570, 350, L["Trainer"], {GetSpellInfo(20220)})
	ARL:addTradeSkill2(36955, 350, L["Trainer"], {GetSpellInfo(20220)})
	ARL:addTradeSkill2(30574, 375, L["Trainer"], {GetSpellInfo(20220)})
	ARL:addTradeSkill2(30575, 375, L["Trainer"], {GetSpellInfo(20220)})

	-- Goblin Engineering
	ARL:addTradeSkill2(12718, 205, L["Trainer"], {GetSpellInfo(20221)})
	ARL:addTradeSkill2(12717, 205, L["Trainer"], {GetSpellInfo(20221)})
	ARL:addTradeSkill2(15628, 205, L["ENG_MEMBERSHIP_BENEFITS"], {GetSpellInfo(20221)})
	ARL:addTradeSkill2(12716, 205, L["Trainer"], {GetSpellInfo(20221)})
	ARL:addTradeSkill2(13240, 205, L["Trainer"], {GetSpellInfo(20221)})
	ARL:addTradeSkill2(12760, 205, L["Trainer"], {GetSpellInfo(20221)})
	ARL:addTradeSkill2(12715, 205, L["Trainer"], {GetSpellInfo(20221)})
	ARL:addTradeSkill2(8895, 225, L["Trainer"], {GetSpellInfo(20221)})
	ARL:addTradeSkill2(12755, 230, L["Trainer"], {GetSpellInfo(20221)})
	ARL:addTradeSkill2(12754, 235,  L["Trainer"], {GetSpellInfo(20221)})
	ARL:addTradeSkill2(12758, 245, L["Trainer"], {GetSpellInfo(20221)})
	ARL:addTradeSkill2(23486, 260,  L["Trainer"], {GetSpellInfo(20221)})
	ARL:addTradeSkill2(23078, 265, L["Goblin Jumper Cables XL Obt"], {GetSpellInfo(20221)})
	ARL:addTradeSkill2(12908, 240, L["Trainer"], {GetSpellInfo(20221)})
	ARL:addTradeSkill2(30558, 325, L["Trainer"], {GetSpellInfo(20221)})
	ARL:addTradeSkill2(30560, 340, L["Trainer"], {GetSpellInfo(20221)})
	ARL:addTradeSkill2(30563, 350, L["Trainer"], {GetSpellInfo(20221)})
	ARL:addTradeSkill2(36954, 350, L["Trainer"], {GetSpellInfo(20221)})
	ARL:addTradeSkill2(30565, 375, L["Trainer"], {GetSpellInfo(20221)})
	ARL:addTradeSkill2(30556, 375, L["Trainer"], {GetSpellInfo(20221)})

end